Subject: bug#20192: [PATCH] for C or C++ sources (ff-find-other-file) now has a symmetric mapping

From: [email-masked]
Date: Sun, 21 May 2017 19:25:21 -0400

tags 20192 fixed
close 20192 26.1
quit

Lars Ingebrigtsen <[email-masked]> writes:

> Dima Kogan <[email-masked]> writes:
>
>> `cc-other-file-alist' has a mapping of file extensions to switch
>> between headers and sources, but the mappings weren't completely
>> symmetric.  In particular .cpp would map to .hh, but .hh would NOT map
>> to .cpp.  This patch updates the mappings to always contain symmetric
>> pairs so that repeated invocations of (ff-find-other-file) can toggle
>> between all pairs of sources/headers.
>
> I think this sounds like a reasonable addition, but that's not a
> function I've ever used, so I can't really say.  Does anybody object to
> this change?

Seems like a straightforward improvement, pushed to master [1: 08848e33ba].

[1: 08848e33ba]: 2017-05-21 17:43:02 -0400
  Make ff-find-other-file symmetric for C++ (Bug#20192)
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=08848e33baf16d3137b171205f51839d8fcf7d06